QGIS Application - Bug report #14202
Modeler: join attributes by location (QGIS tool): intersection does not work
2016-01-30 08:47 AM - Jean-Paul Donnay

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 22204
Description

The "join attributes by location" works perfectly in the toolbox.

However the same algorithm, once introduced in the graphical modeler, does not return the correct result.

The spatial predicate (intersect, equal, touch...) retains no intersected entity.

Hence the attributes added to the target table (all tuples kept) have all NULL value; or, if only the corresponding tuples are kept, the joined
table is empty.

Version QGIS 2.12.3 Lyon
Windows 10

Thank for monitoring the issue.

History

#1 - 2016-02-05 03:41 AM - Giovanni Manghi
- Assignee set to Victor Olaya
- Category set to Processing/Modeller

#2 - 2016-09-16 02:24 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master and backported.

2025-04-27 1/1




